{% extends 'base.html' %}

{% block content %}
<h2 class="text-center">Poll list</h2>
{% if latest_question_list %}
    <div>
    {% for question in latest_question_list %}
    <a href="{% url 'polls:detail' question.id %}">
    <div class="card mb-1 {% if question.was_published_recently %}card-recent{% endif %}">
        <div class="card-body">
            <h5 class="card-title text-center">{{ question.title }}</h5>
            <p>{{ question.pub_date }}</p>
            <span class="badge text-bg-primary">
                Answers
                <span class="badge text-bg-light">{{ question.choice_count }}</span>
            </span>
            <span class="badge text-bg-primary">
                Votes
                <span class="badge text-bg-light">{{ question.vote_count }}</span>
            </span>
        </div>
    </div>
    </a>
    {% endfor %}
    </div>
{% else %}
    <p>No polls are available.</p>
{% endif %}

{% endblock %}
